using SmartAquaViewer.DataAnalysis;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SmartAquaViewer.DataAnalisys
{

    internal enum AQUA_DATA_CONTROL_STATE
    {
        IDLE,
        PROCESSING,
        PROCESS_COMPLETED,
        CANCELLED,
        ERROR
    }


    internal interface IWaterQuality
    {
        void OnParsed(WaterQualityVO vo);
        void OnProgress(double percent);
        void OnError(string message);
        void OnCompleted();
        void OnCancelled();
    }
}
